Bug 474219 - Requires /etc/cron.d?
Requires /etc/cron.d?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: crontabs (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 15:27 EST by Patrice Dumas
Modified: 2009-02-12 12:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-27 08:39:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2008-12-02 15:27:09 EST
Description of problem:

Maybe crontabs should Requires /etc/cron.d? That way either cronie or
fcron-watch-config would be installed as a dependency.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Marcela Mašláňová 2008-12-03 10:01:44 EST
I've also some plans with requires in crontabs and other related packages. Do you think it's correct to look after jobs in cron.d, which is owned by cronie? I don't say that it can't be done, but IMHO user should read manual and set it up correctly. What do you think?
Comment 2 Patrice Dumas 2008-12-04 07:08:27 EST
(In reply to comment #1)
> I've also some plans with requires in crontabs and other related packages. Do
> you think it's correct to look after jobs in cron.d, which is owned by cronie?
> I don't say that it can't be done, but IMHO user should read manual and set it
> up correctly. What do you think?

I don't really understand your question. Are you saying that fcron-watch-config should not look in /etc/cron.d? Or that a user should know that he needs to install a scheduler, be it cronie or fcron-watch-config?

In any case I don't think /etc/crontab from crontabs should look in /etc/cron.d, it is right as it is now.
Comment 3 Jeremy Katz 2009-02-12 12:42:20 EST
Having crontabs requiring /etc/cron.d means that you can't do a minimal install without cron, sendmail, etc anymore.

There's nothing about crontabs that requires /etc/cron.d, so requiring it really is kind of overkill.

Yes, you don't get working cron unless you have a cron daemon installed, but if I have it chkconfig'd off, they don't run either.

Note You need to log in before you can comment on or make changes to this bug.